HP LaserJet P1005 / P1007 :  foo2zjs - foo2hp - foo2xqx - foo2lava - foo2qpdl - foo2oak
Support for linux printer drivers
The fastest message board... ever.
 
Error: foomatic-rip is not installed! [solved; sudo apt-get install foomatic-filters ]
Posted by: shawn.abdusakur ()
Date: November 26, 2009 08:23PM

Hi,

I've followed the instructions on the website multiple times (and have been successful in the past), but for some reason I get the following error now:

# Installation Dependencies...
#
***
*** Error: foomatic-rip is not installed!
***
*** Install foomatic package(s) for your OS
***
make: *** [install-test] Error 1

Thank you,
Shawn



Edited 2 time(s). Last edit at 03/03/2010 12:29PM by rickrich.

Options: ReplyQuote
Re: Error: foomatic-rip is not installed!
Posted by: rickrich ()
Date: November 26, 2009 09:11PM

On Fedora 11...
$ locate foomatic-rip
/usr/bin/foomatic-rip
/usr/lib/cups/filter/foomatic-rip
/usr/share/man/man1/foomatic-rip.1.gz

$ rpm -q --whatprovides /usr/bin/foomatic-rip
foomatic-4.0.3-2.fc11.i586

Options: ReplyQuote
Re: Error: foomatic-rip is not installed!
Posted by: shawn.abdusakur ()
Date: November 27, 2009 07:58PM

I'm using Ubuntu 8.0.4...

shawn@NX7400:~$ locate foomatic-rip
/usr/bin/foomatic-rip
/usr/lib/cups/filter/foomatic-rip
/usr/lib/ppr/interfaces/foomatic-rip
/usr/lib/ppr/lib/foomatic-rip
/usr/share/man/man1/foomatic-rip.1.gz

I don't know what command in Ubuntu is the equivalent of rpm -q --whatprovides. I ran aptitude show foomatic-rip and got

E: Unable to locate package foomatic-rip

Thanks.

Options: ReplyQuote
Re: Error: foomatic-rip is not installed!
Posted by: rickrich ()
Date: November 27, 2009 08:35PM

Works fine on Ubuntu 8.04, too.
rick@rick-netbook:~/proj/foo2zjs$ cat /etc/issue
Ubuntu 8.04.2 \n \l

rick@rick-netbook:~/proj/foo2zjs$ make
#
# Dependencies...
#
# ... OK!
#
cd icc2ps; make all
[snip]

rick@rick-netbook:~/proj/foo2zjs$ ls  -l /usr/lib/cups/filter/foomatic-rip
lrwxrwxrwx 1 root root 25 2009-04-11 15:11 /usr/lib/cups/filter/foomatic-rip -> ../../../bin/foomatic-rip

rick@rick-netbook:~/proj/foo2zjs$ ls  -lL /usr/lib/cups/filter/foomatic-rip
-rwxr-xr-x 1 root root 215201 2008-04-24 08:49 /usr/lib/cups/filter/foomatic-rip

rick@rick-netbook:~/proj/foo2zjs$ dpkg -l foom\*
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Installed/Config-f/Unpacked/Failed-cfg/Half-inst/t-aWait/T-pend
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name           Version        Description
+++-==============-==============-============================================
ii  foomatic-db    20080211-0ubun OpenPrinting printer support - database
ii  foomatic-db-en 3.0.2-20070719 OpenPrinting printer support - programs
ii  foomatic-db-hp 20070813-0ubun OpenPrinting printer support - database for 
ii  foomatic-filte 3.0.2-20071204 OpenPrinting printer support - filters

Do:
$ ls -l /usr/lib/cups/filter/foomatic-rip
What does that say?

From the Makefile:
install-test:
        #
        # Installation Dependencies...
        #
        @if [ -f /usr/local/libexec/cups/filter/foomatic-rip ]; then \
            : ; \
        elif [ -f /usr/lib/cups/filter/foomatic-rip ]; then \
            : ; \
        elif [ -f /usr/lib/lp/bin/foomatic-rip ]; then \
            : ; \
        elif ! type foomatic-rip >/dev/null 2>&1; then \
            echo "      ***"; \
            echo "      *** Error: foomatic-rip is not installed!"; \
            echo "      ***"; \
            echo "      *** Install foomatic package(s) for your OS"; \
            echo "      ***"; \
            exit 1; \
        fi



Edited 2 time(s). Last edit at 11/27/2009 09:21PM by rickrich.

Options: ReplyQuote
Re: Error: foomatic-rip is not installed!
Posted by: shawn.abdusakur ()
Date: November 29, 2009 12:35PM

The file isn't there. I also checked the other directories listed in the make file and tried a locate, but nothing.

shawn@A7V8X-X:~$ ls -l /usr/lib/cups/filter/
total 312
-rwxr-xr-x 1 root root 4680 2009-10-31 11:47 gziptoany
-rwxr-xr-x 1 root root 43580 2009-10-31 11:47 hpgltops
-rwxr-xr-x 1 root root 26548 2009-10-31 11:47 imagetops
-rwxr-xr-x 1 root root 56608 2009-10-31 11:47 imagetoraster
-rwxr-xr-x 1 root root 4316 2009-10-31 11:44 oopstops
-rwxr-xr-x 1 root root 13252 2009-10-31 11:47 pdftops
-rwxr-xr-x 1 root root 43420 2009-10-31 11:47 pstops
-rwxr-xr-x 1 root root 1914 2009-04-09 16:50 pstopxl
-rwxr-xr-x 1 root root 1882 2009-04-09 16:50 pstoraster
lrwxrwxrwx 1 root root 13 2009-11-26 19:26 rastertodymo -> rastertolabel
-rwxr-xr-x 1 root root 14076 2009-10-31 11:47 rastertoepson
-rwxr-xr-x 1 root root 13048 2009-10-31 11:47 rastertohp
-rwxr-xr-x 1 root root 16556 2009-10-31 11:47 rastertolabel
-rwxr-xr-x 1 root root 3560 2009-10-31 11:44 textonly
-rwxr-xr-x 1 root root 37440 2009-10-31 11:47 texttops

Options: ReplyQuote
Re: Error: foomatic-rip is not installed!
Posted by: shawn.abdusakur ()
Date: November 29, 2009 12:38PM

Also, on a side note, I checked Follow Topic, but I don't receive an email whenever this topic is posted to. Is there something else I should do? Thanks.

Options: ReplyQuote
Re: Error: foomatic-rip is not installed!
Posted by: rickrich ()
Date: November 29, 2009 12:56PM

$ sudo apt-get install foomatic-filters

$ dpkg -L foomatic-filters
/.
/etc
/etc/foomatic
/etc/foomatic/direct
/usr
/usr/bin
/usr/bin/foomatic-gswrapper
/usr/bin/foomatic-rip
/usr/sbin
/usr/share
/usr/share/foomatic
/usr/share/foomatic/parseconfig.pl
/usr/share/man
/usr/share/man/man1
/usr/share/man/man1/foomatic-rip.1.gz
/usr/share/man/man1/foomatic-gswrapper.1.gz
/usr/share/man/man8
/usr/share/doc
/usr/share/doc/foomatic-filters
/usr/share/doc/foomatic-filters/changelog.gz
/usr/share/doc/foomatic-filters/README.gz
/usr/share/doc/foomatic-filters/USAGE.gz
/usr/share/doc/foomatic-filters/TODO
/usr/share/doc/foomatic-filters/README.Debian
/usr/share/doc/foomatic-filters/copyright
/usr/share/doc/foomatic-filters/examples
/usr/share/doc/foomatic-filters/examples/filter.conf
/usr/share/doc/foomatic-filters/changelog.Debian.gz
/usr/lib
/usr/lib/cups
/usr/lib/cups/filter
/usr/lib/cups/backend
/usr/lib/cups/backend/beh
/usr/lib/ppr
/usr/lib/ppr/interfaces
/usr/lib/ppr/lib
/usr/bin/directomatic
/usr/sbin/lpdomatic
/usr/share/man/man1/directomatic.1.gz
/usr/share/man/man8/lpdomatic.8.gz
/usr/lib/cups/filter/foomatic-rip
/usr/lib/cups/filter/cupsomatic
/usr/lib/ppr/interfaces/foomatic-rip
/usr/lib/ppr/interfaces/ppromatic
/usr/lib/ppr/lib/foomatic-rip
/usr/lib/ppr/lib/ppromatic



Edited 1 time(s). Last edit at 11/29/2009 01:21PM by rickrich.

Options: ReplyQuote
Re: Error: foomatic-rip is not installed!
Posted by: rickrich ()
Date: November 29, 2009 12:57PM

Options: Follow Topic

Options: ReplyQuote
Re: Error: foomatic-rip is not installed!
Posted by: shawn.abdusakur ()
Date: December 01, 2009 07:32AM

That did it! Thanks a bunch!

Options: ReplyQuote


Sorry, only registered users may post in this forum.
This forum powered by Phorum.